! ===========================================================================
MODULE OPTIONS
! This module contains the options and settings used in the likelihood code
! ===========================================================================

!Options
!--------------------------------------------------------------
! location of  data
! -------------------------------------------------------------
  character(len=*), parameter :: data_dir = 'data/'
  character(len=*),parameter:: ACT_data_dir = 'data_act/'

!--------------------------------------------------------------
! change these to include/exclude observables 
!--------------------------------------------------------------
  logical :: use_act_tt  = .true.
  logical :: use_act_pol = .true.
  logical :: use_act_ee  = .false.  !EE only, false dy default and not to use in combination
  logical :: use_d156   = .true.

!--------------------------------------------------------------
!These can be changed to choose your ell range for ACT
!--------------------------------------------------------------
  integer :: lmintt  = 470 !470 is baseline, data not below 226
  integer :: lmaxtt  = 9000 
  integer :: lminte  = 226 !not below 226
  integer :: lmaxte  = 9000
  integer :: lminee  = 226 !not below 226
  integer :: lmaxee  = 9000

!--------------------------------------------------------------
!Settings (should not be altered)
!--------------------------------------------------------------
! general settings
!--------------------------------------------------------------
  integer :: tt_lmax       = 6000
  real(8), parameter :: pi = 3.14159265358979323846264d0

!----------------------------------------------------------------
! likelihood terms from ACT data
!----------------------------------------------------------------
  integer, parameter :: nspec  = 3   !TT,TE,EE
  integer, parameter :: nbintt = 55  !max nbins in ACT TT data  
  integer, parameter :: nbinte = 55  !max nbins in ACT TE data
  integer, parameter :: nbinee = 55  !max nbins in ACT EE data
  integer, parameter :: nbin   = 165 !total bins
  integer, parameter :: lmax_win = 9000 !ell max of the full window functions 
  integer, parameter :: bmax0  = 57   !number of bins in full window function
  integer, parameter :: nbinw  = 171
  integer, parameter :: b1     = 3    !First bin of full window function used  

END MODULE OPTIONS
! ===========================================================================
